Skip to main content
GET
Fetch All Token Credit Amount Changes

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

ID
string
required

The id or the vid of the Account to retrieve all token amount changes for. A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128

Query Parameters

limit
integer<int32>
default:20

A limit on the number of objects to be returned, between 1 and 100.

Required range: 1 <= x <= 100
starting_after
string

A cursor for use in pagination. starting_after is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

ending_before
string

A cursor for use in pagination. ending_before is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

Response

JSON A list array with a data property that contains an array of up to limit TokenAmounts, starting after the specified starting_after TokenAmount (or ending before the specified ending_before TokenAmount). If no more TokenAmounts are available, the resulting array will be empty. This request should never throw an error.

A list of TokenAmount objects matching the query. Also:

  • “total_count”: Integer count of the number of TokenAmount in the returned list.

  • “url”: The query string provided in the request

object
enum<string>
Available options:
TokenAmount
token
object

The token object provides a way to offer virtual currencies or track the balance of a consumable service item.

amount
integer

The balance of tokens in the grant.

source
string
Example:

"{ \"object\": \"List\", \"data\": [ { \"object\": \"TokenAmount\", \"token\": { \"object\": \"Token\", \"id\": \"Test_Token123\", \"vid\": \"aeb900749f2007b5c2587f94d87f260990e61fbf\", \"description\": \"Test Token Created\" }, \"amount\": 55, \"source\": \"Account\", \"created\": \"2022-12-30T12:23:24+00:00\", \"vid\": \"d8ca670e6bfc1e648a4db00704d148616901bcda\" } ], \"total_count\": 1, \"url\": \"/accounts/cust_2234/token_amount_changes\", \"next\": \"/accounts/cust_2234/token_amount_changes?starting_after=d8ca670e6bfc1e648a4db00704d148616901bcda\", \"previous\": \"/accounts/cust_2234/token_amount_changes?ending_before=d8ca670e6bfc1e648a4db00704d148616901bcda\" }"